Last Comment Bug 714708 - NullPointerException at GeckoInputConnection.notifyIME
: NullPointerException at GeckoInputConnection.notifyIME
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Linux
: P1 normal (vote)
: Firefox 12
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-02 20:50 PST by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2012-01-06 22:13 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
patch (1.05 KB, patch)
2012-01-02 21:10 PST, Mark Finkle (:mfinkle) (use needinfo?)
dougt: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Mark Finkle (:mfinkle) (use needinfo?) 2012-01-02 20:50:40 PST
http://mxr.mozilla.org/mozilla-central/source/mobile/android/base/GeckoInputConnection.java#594

The | if | check is wrong. This should be:

if (imm == null) { ... } else { imm.restartInput(v); }
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-02 21:10:50 PST
Created attachment 585350 [details] [diff] [review]
patch

simple patch
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-02 22:01:18 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/ddf371bc13f0
Comment 3 Marco Bonardo [::mak] 2012-01-04 04:39:24 PST
https://hg.mozilla.org/mozilla-central/rev/ddf371bc13f0
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 06:27:22 PST
Comment on attachment 585350 [details] [diff] [review]
patch

[Approval Request Comment]
Code cleanup. The previous code was just wrong and would have caused a exception.
Comment 5 Alex Keybl [:akeybl] 2012-01-06 11:04:11 PST
Comment on attachment 585350 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-06 22:13:43 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/f9c0454b1642

Note You need to log in before you can comment on or make changes to this bug.